# OpenSQLManager » OpenSQLManager
Author: Mike van Riel

### Functions

## Create info dialog to return an informational message

    alert(string $message) : void

### Parameters

#### $message

`string`

## Convert an array to an object

    array_to_object(array $array) : object

### Parameters

#### $array

`array`

### Returns

`object`

## Creates a binary confirmation dialog

    confirm(string $message) : bool

### Parameters

#### $message

`string`

### Returns

`bool`

## Bulk directory loading workaround for use with array_map and glob

    do_include(string $path) : void

### Parameters

#### $path

`string`

## Create info dialog to retun an informational message

    error(string $message) : void

### Parameters

#### $message

`string`

## Error handler to convert errors to exceptions

    exception_error_handler(int $errno, string $errstr, string $errfile, int $errline)

### Parameters

#### $errno

`int`

#### $errstr

`string`

#### $errfile

`string`

#### $errline

`int`

### Exceptions

`\OpenSQLManager\ErrorException` |

## Log fatal errors

    log_fatal()

## Autoloader for OpenSQLManager

    osm_autoload(string $class)

### Parameters

#### $class

`string`

### Classes and interfaces

# Connection_Manager¶

Widget for adding / Editing Connections

« More »

# Connection_Sidebar¶

Widget managing saved database connections

« More »

# DB_Reg¶

Connection registry

« More »

# DB_tabs¶

Tabbed Container for database properties

« More »

# Data_Grid¶

Class to simplify dealing with GtkTreeView

« More »

# Main¶

Main Window Class

« More »

# OpenSQLManager¶

Class for the app itself

« More »

# Settings¶

Class for manipulating datbase connections, and miscellaneous settings

« More »

### Constants

## OSM_BASE_DIR

    OSM_BASE_DIR

## OSM_PROGRAM_NAME

    OSM_PROGRAM_NAME

## OSM_RESOURCE_DIR

    OSM_RESOURCE_DIR

## OSM_SETTINGS_DIR

    OSM_SETTINGS_DIR

## OSM_VERSION

    OSM_VERSION

## PLATFORM

    PLATFORM